from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.table import XCell

@runtime_checkable
class XCell2(XCell, Protocol):
    def setFormulaResult(self, nValue: float) -> None: ...
    def setFormulaString(self, aFormula: str) -> None: ...
